# deals with multiline events

# used to determine blocks of common lines
BEGIN {
    founddone = 0
    pathnamestate = 0;
}

# skip output of rhosts file
/^RHOSTS_CHK: --INFO-- \[rcmd010i\] \/etc\/hosts\.equiv contents: $/,	\
/^RHOSTS_CHK: $/							{
    foundone = 1
}

# temporarily? skip output of cron files (owned by bin|adm)
/^CRON_CHK: --(INFO|WARN)-- \[cron002\] cron entry for root uses \`[-_\/.a-zA-Z0-9]+\' (which contains \`[-_\/.a-z0-9]+\' )?which is not owned by root \(owned by (bin|adm)\)\. $/,	\
/^CRON_CHK: $/							{
    foundone = 1
}

# temporarily? skip output of cron files group root|adm|crayman writable
/^CRON_CHK: --INFO-- \[cron003\] cron entry for root uses \`[-_\/.a-z0-9]+\' (which contains \`[-_\/.a-z0-9]+\' )?which is group \`(root|adm|crayman)\' writable\. $/,	\
/^CRON_CHK: $/							{
    foundone = 1
}

# skip output of dmmigall cron files /tmp
# dangerous in that it doesn't have script name
/^CRON_CHK: --INFO-- \[cron003\] cron entry for root uses \`\/tmp\' which is group \`root\' and world writable\. $/,	\
/^CRON_CHK: $/							{
    foundone = 1
}

# ignore relative pathname errors
/^SETUID_CHK: ([^-#].*\.|\.)\..*$/,		\
/^SETUID_CHK: --WARN-- \[fsys002w\] setuid program ([-_\/.a-z0-9]+) has relative pathnames\. $/				{
    if ("--WARN--" == $2)
    {
	if ((1 != pathnamestate) || ("SETUID_CHK: %s/../%s" != data[pathnamestate]))
	    for (i = pathnamestate; i > 0; --i)
		printf "%s found in %s\n", data[i], $6
	pathnamestate = 0
    }
    else
    {
	pathnamestate++
	data[pathnamestate] = $0
    }
    foundone = 1
}


{
    if (0 == foundone)  print $0
    
    foundone = 0
}
